=== debian/changelog ===
emacs-libvterm (0.0.1+git20220831.d6fcd38-3) unstable; urgency=medium

  * Fix installation path of vterm-module.so

 -- Martin <debacle@debian.org>  Thu, 06 Oct 2022 21:54:17 +0000

emacs-libvterm (0.0.1+git20220831.d6fcd38-2) unstable; urgency=medium

  * Fix architecture of elpa-vterm

 -- Martin <debacle@debian.org>  Sun, 11 Sep 2022 17:14:33 +0000

emacs-libvterm (0.0.1+git20220831.d6fcd38-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 11 Sep 2022 10:03:58 +0000

emacs-libvterm (0.0.1+git20220822.f104e3a-1) unstable; urgency=medium

  * New upstream snapshot, first upload to unstable

 -- Martin <debacle@debian.org>  Wed, 24 Aug 2022 18:41:45 +0000

emacs-libvterm (0.0.1+git20220613.3155a47-3) experimental; urgency=medium

  * Separate packages for loadable module and elisp files

 -- Martin <debacle@debian.org>  Sun, 21 Aug 2022 07:51:31 +0000

emacs-libvterm (0.0.1+git20220613.3155a47-2) experimental; urgency=medium

  * Fix setting of load-path

 -- Martin <debacle@debian.org>  Tue, 16 Aug 2022 21:00:16 +0000

emacs-libvterm (0.0.1+git20220613.3155a47-1) experimental; urgency=medium

  * Initial package (Closes: #1005080)

 -- Martin <debacle@debian.org>  Fri, 12 Aug 2022 21:05:35 +0000
