## emacs-libvterm 0.0.2+git20230217.3e5a9b7

=== debian/changelog ===
emacs-libvterm (0.0.2+git20230217.3e5a9b7-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sat, 18 Feb 2023 10:43:13 +0000
