=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

ELPA_NAME=vterm
export ELPA_NAME

%:
	dh $@ --with elpa

execute_before_dh_auto_build:
	echo ";;; set load-path for vterm-module.so -*- lexical-binding: t; -*-" > vterm-load-path.el
	echo "(add-to-list 'load-path \"/usr/lib/${DEB_HOST_MULTIARCH}/emacs-libvterm\")" >> vterm-load-path.el
