## emacs-libvterm 0.0.2+git20230417.94e2b0b

=== debian/changelog ===
emacs-libvterm (0.0.2+git20230417.94e2b0b-1) unstable; urgency=medium

  * New upstream snapshot
  * Use system emacs-module.h, not local copy
  * Add vterm-module.so to debian/clean (Closes: #1034239)

 -- Martin <debacle@debian.org>  Sat, 04 Nov 2023 21:54:41 +0000
