=== debian/control ===
Source: emacs-libvterm
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: cmake,
	debhelper-compat (= 13),
	dh-elpa,
	emacs-el,
	libtool-bin,
	libvterm-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/akermu/emacs-libvterm
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-libvterm.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-libvterm

Package: emacs-libvterm
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends},
	elpa-vterm,
        emacs,
Enhances: emacs
Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - module
 Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
 Emacs based on libvterm, a C library. As a result of using compiled
 code (instead of elisp), emacs-libvterm is fully capable, fast, and
 it can seamlessly handle large outputs.
 .
 This package contains the loadable module.

Package: elpa-vterm
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
        emacs-libvterm,
Breaks: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
Replaces: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
Enhances: emacs
Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - elisp
 Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
 Emacs based on libvterm, a C library. As a result of using compiled
 code (instead of elisp), emacs-libvterm is fully capable, fast, and
 it can seamlessly handle large outputs.
 .
 This package contains the elisp files.
