=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,4 @@
 execute_before_dh_auto_build:
 	echo ";;; set load-path for vterm-module.so -*- lexical-binding: t; -*-" > vterm-load-path.el
 	echo "(add-to-list 'load-path \"/usr/lib/${DEB_HOST_MULTIARCH}/emacs-libvterm\")" >> vterm-load-path.el
+	rm -f emacs-module.h
