## emacs-libvterm 0.0.2+git20240520.df057b1

=== debian/changelog ===
emacs-libvterm (0.0.2+git20240520.df057b1-1) unstable; urgency=medium

  * New upstream snapshot
  * Add myself to Uploaders as permitted by Martin
  * Update Standards-Version to 4.7.0; no change needed
  * Use posix export in d/rules
  * Add Upstream-Name in d/copyright
  * Update copyright year for debian/* in d/copyright
  * Refresh patches using gbp pq

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 27 May 2024 12:16:26 -0700

emacs-libvterm (0.0.2+git20240318.303decd-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Xiyue Deng ]
  * New upstream snapshot
  * Drop elpa-vterm dependency from emacs-libvterm to avoid circular
    dependency
  * Drop emacs dependency from emacs-libvterm following existing practice
  * Update breaks/replaces versions to be backports friendly
  * Update Standards-Version to 4.6.2 (no change needed)
  * Add d/watch tracking latest snapshot
  * Mark vendor patches as "Forwarded: not-needed"
  * Enable hardening builds

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 18 Mar 2024 00:51:29 -0700
