## emacs-libvterm 0.0.2+git20240705.d9ea29f

=== debian/changelog ===
emacs-libvterm (0.0.2+git20240705.d9ea29f-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream snapshot

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Aug 2024 10:59:27 +0800

emacs-libvterm (0.0.2+git20240520.df057b1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:30:57 +0900
