## emacs-libvterm 0.0.2+git20241218.99c1f5e

=== debian/changelog ===
emacs-libvterm (0.0.2+git20241218.99c1f5e-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (99c1f5e)
  * Refresh patches

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 19 Dec 2024 03:11:16 -0800

emacs-libvterm (0.0.2+git20241212.09d0192-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (09d0192)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 17 Dec 2024 17:28:11 -0800

emacs-libvterm (0.0.2+git20241118.fd50624-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (fd50624)
  * Refresh patches

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 24 Nov 2024 16:59:04 -0800

emacs-libvterm (0.0.2+git20240825.9882793-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (9882793)
  * Refresh patches with gbp pq

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 10 Nov 2024 21:28:56 -0800
