## emacs-libvterm 0.0.2+git20250113.056ad74

=== debian/changelog ===
emacs-libvterm (0.0.2+git20250113.056ad74-3~deb13u1) trixie; urgency=medium

  * Upload to trixie

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 05 Oct 2025 23:55:36 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-3) unstable; urgency=medium

  * Fix elpa-vterm to use "Multi-Arch: no"
    - elpa-vterm installs the files under the same path on different
      archs, so they are not co-installable.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 27 Sep 2025 16:16:16 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-2) unstable; urgency=medium

  * Upload to unstable
    - Change elpa-vterm to arch:any fixed the DEB_HOST_MULTIARCH
      generation. (Closes: #1115607)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 19 Sep 2025 15:32:17 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-2~exp1) experimental; urgency=medium

  * Make elpa-vterm arch:any
    - elpa-vterm sets the shard library path according to the host arch.
      Previously when set as arch:all, the `load-path' is set once during
      building arch:all package and won't change based on the host arch,
      resulting in wrong `load-path' in non-amd64 archs.
  * Add `Multi-Arch: same' hint to arch:any packages

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 19 Sep 2025 04:03:55 -0700

emacs-libvterm (0.0.2+git20250113.056ad74-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (056ad74)

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Feb 2025 02:24:43 -0800
