=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>
+Uploaders:
+ Martin <debacle@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: cmake,
 	debhelper-compat (= 13),
 	dh-elpa,
 	emacs-el,
 	libtool-bin,
 	libvterm-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/akermu/emacs-libvterm
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-libvterm.git
@@ -17,10 +19,9 @@
 
 Package: emacs-libvterm
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
 	${shlibs:Depends},
-	elpa-vterm,
-        emacs,
 Enhances: emacs
 Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - module
  Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
@@ -31,12 +32,13 @@
  This package contains the loadable module.
 
 Package: elpa-vterm
-Architecture: all
+Architecture: any
+Multi-Arch: no
 Depends: ${elpa:Depends},
 	${misc:Depends},
         emacs-libvterm,
-Breaks: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
-Replaces: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3)
+Breaks: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3~)
+Replaces: emacs-libvterm (<< 0.0.1+git20220613.3155a47-3~)
 Enhances: emacs
 Description: fully-fledged terminal emulator inside GNU Emacs based on libvterm - elisp
  Emacs-libvterm (vterm) is fully-fledged terminal emulator inside GNU
