=== debian/watch ===
version=4
opts="mode=git, pretty=0.0.2+git%cd.%h" \
    https://github.com/akermu/emacs-libvterm \
    HEAD debian uupdate
