## emacs-libvterm 0.0.2+git20250929.adf8d10

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,10 @@
 #    add_compile_definitions(VTermStringFragmentNotExists)
     add_definitions(-DVTermSelectionMaskNotExists)
     endif()
-
+    execute_process(COMMAND  grep -c "sb_clear" "${LIBVTERM_INCLUDE_DIR}/vterm.h" OUTPUT_VARIABLE VTermSBClearExists)
+    if (${VTermSBClearExists} EQUAL "0")
+      add_definitions(-DVTermSBClearNotExists)
+    endif()
   else()
     message(STATUS "System libvterm not found: libvterm will be downloaded and compiled as part of the build process")
   endif()
@@ -70,9 +73,9 @@
 
   ExternalProject_add(libvterm
     GIT_REPOSITORY https://github.com/Sbozzolo/libvterm-mirror.git
-    GIT_TAG 15133bba2c0bce32baabbf91610a2450495fea02
+    GIT_TAG 64f1775952dbe001e989f2ab679563b54f2fca55
     CONFIGURE_COMMAND ""
-    BUILD_COMMAND ${LIBVTERM_BUILD_COMMAND} "CFLAGS='-fPIC'"
+    BUILD_COMMAND ${LIBVTERM_BUILD_COMMAND} "CFLAGS='-fPIC'" "LDFLAGS='-static'"
     BUILD_IN_SOURCE ON
     INSTALL_COMMAND "")
