=== debian/changelog ===
emacs-libvterm (0.0.2+git20250929.adf8d10-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (adf8d10)
  * Migrate d/watch to rfc822-style version 5 format
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.
  * Update Standards-Version to 4.7.2; no change needed
  * Add elpa-vterm.lintian-overrides for
    package-contains-no-arch-dependent-files
    - The file needs to be arch:any as the content has an arch-dependent
      path.  See bug#1115607 for details.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 21 Oct 2025 01:34:06 -0700
