=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 	emacs-el,
 	libtool-bin,
 	libvterm-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/akermu/emacs-libvterm
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-libvterm.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-libvterm
