=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-ELPA_NAME=vterm
-export ELPA_NAME
+ELPA_NAME = vterm
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export ELPA_NAME DEB_BUILD_MAINT_OPTIONS
 
 %:
 	dh $@ --with elpa
