=== debian/watch ===
Version: 5

Source: https://github.com/akermu/emacs-libvterm
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0.2+git%cd.%h
