## emacs-libvterm 0.0.2+git20251112.12bce96

=== debian/changelog ===
emacs-libvterm (0.0.2+git20251112.12bce96-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (12bce96)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 14 Nov 2025 19:23:36 -0800
