## emacs-libvterm 0.0.2+git20251119.a01a289

=== debian/changelog ===
emacs-libvterm (0.0.2+git20251119.a01a289-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (a01a289)

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Nov 2025 22:16:15 -0800
